> ## Name

> cgGetTechniqueEffect - get a technique's effect

> ## Synopsis

>     #include <Cg/cg.h>

>     CGeffect cgGetTechniqueEffect( CGtechnique tech );

> ## Parameters

> tech
>   The technique.

> ## Return Values

> Returns a CGeffect handle to the effect.

> Returns NULL if an error occurs.

> ## Description

> cgGetTechniqueEffect allows the application to retrieve a handle to the effect to which a given technique belongs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

> ## History

> cgGetTechniqueEffect was introduced in Cg 1.4.

> ## See Also

> cgCreateEffect, cgCreateEffectFromFile